com.mockobjects.servlet

## Class MockBodyContent

- java.lang.Object
- - BodyContent
  - - com.mockobjects.servlet.MockBodyContent

All Implemented Interfaces:
  Verifiable

    public class MockBodyContent
    extends BodyContent
    implements Verifiable

### Constructor Summary

Constructors
Constructor and Description
`MockBodyContent()`

### Method Summary

Methods
`void` `clear()`
`void` `clearBody()`
`void` `clearBuffer()`
`void` `close()`
`boolean` `equals(java.lang.Object obj)`
`void` `flush()`
`int` `getBufferSize()`
`JspWriter` `getEnclosingWriter()`
`java.io.Reader` `getReader()`
`int` `getRemaining()`
`java.lang.String` `getString()`
`boolean` `isAutoFlush()`
`void` `newLine()`
`void` `print(boolean b)`
`void` `print(char c)`
`void` `print(char[] chars)`
`void` `print(double v)`
`void` `print(float v)`
`void` `print(int i)`
`void` `print(long l)`
`void` `print(java.lang.Object o)`
`void` `print(java.lang.String s)`
`void` `println()`
`void` `println(boolean b)`
`void` `println(char c)`
`void` `println(char[] chars)`
`void` `println(double v)`
`void` `println(float v)`
`void` `println(int i)`
`void` `println(long l)`
`void` `println(java.lang.Object o)`
`void` `println(java.lang.String s)`
`void` `setExpectedWriteOut(java.io.Writer aWriter)`
`void` `setupGetEnclosingWriter(JspWriter aJspWriter)`
`void` `verify()` Throw an AssertionFailedException if any expectations have not been met.
`void` `write(char[] cbuf)`
`void` `write(char[] cbuf, int off, int len)`
`void` `write(int c)`
`void` `write(java.lang.String str)`
`void` `write(java.lang.String str, int off, int len)`
`void` `writeOut(java.io.Writer aWriter)`

### Methods inherited from class java.lang.Object

`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MockBodyContent

    public MockBodyContent()

### Method Detail

#### getBufferSize

    public int getBufferSize()

#### write

    public void write(int c)
               throws java.io.IOException

Throws:
  `java.io.IOException`

#### flush

    public void flush()
               throws java.io.IOException

Throws:
  `java.io.IOException`

#### isAutoFlush

    public boolean isAutoFlush()

#### write

    public void write(char[] cbuf)
               throws java.io.IOException

Throws:
  `java.io.IOException`

#### equals

    public boolean equals(java.lang.Object obj)

#### clearBody

    public void clearBody()

#### write

    public void write(java.lang.String str)
               throws java.io.IOException

Throws:
  `java.io.IOException`

#### setupGetEnclosingWriter

    public void setupGetEnclosingWriter(JspWriter aJspWriter)

#### getEnclosingWriter

    public JspWriter getEnclosingWriter()

#### getReader

    public java.io.Reader getReader()

#### newLine

    public void newLine()
                 throws java.io.IOException

Throws:
  `java.io.IOException`

#### write

    public void write(char[] cbuf,
             int off,
             int len)
               throws java.io.IOException

Throws:
  `java.io.IOException`

#### print

    public void print(boolean b)
               throws java.io.IOException

Throws:
  `java.io.IOException`

#### setExpectedWriteOut

    public void setExpectedWriteOut(java.io.Writer aWriter)

#### writeOut

    public void writeOut(java.io.Writer aWriter)
                  throws java.io.IOException

Throws:
  `java.io.IOException`

#### print

    public void print(char c)
               throws java.io.IOException

Throws:
  `java.io.IOException`

#### print

    public void print(int i)
               throws java.io.IOException

Throws:
  `java.io.IOException`

#### print

    public void print(long l)
               throws java.io.IOException

Throws:
  `java.io.IOException`

#### print

    public void print(float v)
               throws java.io.IOException

Throws:
  `java.io.IOException`

#### print

    public void print(double v)
               throws java.io.IOException

Throws:
  `java.io.IOException`

#### print

    public void print(char[] chars)
               throws java.io.IOException

Throws:
  `java.io.IOException`

#### print

    public void print(java.lang.String s)
               throws java.io.IOException

Throws:
  `java.io.IOException`

#### print

    public void print(java.lang.Object o)
               throws java.io.IOException

Throws:
  `java.io.IOException`

#### println

    public void println()
                 throws java.io.IOException

Throws:
  `java.io.IOException`

#### println

    public void println(boolean b)
                 throws java.io.IOException

Throws:
  `java.io.IOException`

#### println

    public void println(char c)
                 throws java.io.IOException

Throws:
  `java.io.IOException`

#### println

    public void println(int i)
                 throws java.io.IOException

Throws:
  `java.io.IOException`

#### println

    public void println(long l)
                 throws java.io.IOException

Throws:
  `java.io.IOException`

#### println

    public void println(float v)
                 throws java.io.IOException

Throws:
  `java.io.IOException`

#### println

    public void println(double v)
                 throws java.io.IOException

Throws:
  `java.io.IOException`

#### println

    public void println(char[] chars)
                 throws java.io.IOException

Throws:
  `java.io.IOException`

#### println

    public void println(java.lang.String s)
                 throws java.io.IOException

Throws:
  `java.io.IOException`

#### println

    public void println(java.lang.Object o)
                 throws java.io.IOException

Throws:
  `java.io.IOException`

#### clear

    public void clear()
               throws java.io.IOException

Throws:
  `java.io.IOException`

#### clearBuffer

    public void clearBuffer()
                     throws java.io.IOException

Throws:
  `java.io.IOException`

#### close

    public void close()
               throws java.io.IOException

Throws:
  `java.io.IOException`

#### getRemaining

    public int getRemaining()

#### write

    public void write(java.lang.String str,
             int off,
             int len)
               throws java.io.IOException

Throws:
  `java.io.IOException`

#### getString

    public java.lang.String getString()

#### verify

    public void verify()

Description copied from interface: `Verifiable`
Throw an AssertionFailedException if any expectations have not been met.

Specified by:
  `verify` in interface `Verifiable`